API server
https://app.coolify.io/api/v1Get Sentinel settings for a server owned by the authenticated team. sentinel_token and sentinel_custom_url require the read:sensitive or root token ability.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
uuid*string
Server UUID
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://app.coolify.io/api/v1/servers/string/sentinel"{ "is_sentinel_enabled": true, "is_metrics_enabled": true, "is_sentinel_debug_enabled": true, "sentinel_token": "string", "sentinel_metrics_refresh_rate_seconds": 0, "sentinel_metrics_history_days": 0, "sentinel_push_interval_seconds": 0, "sentinel_custom_url": "string", "sentinel_updated_at": "string"}{ "message": "Invalid token."}{ "message": "Unauthenticated."}{ "message": "Resource not found."}Get server proxy GET
Get proxy settings for a server owned by the authenticated team. The raw proxy configuration is only returned when the token has `read:sensitive` (or `root`) and the user is a team admin/owner, and only when already stored in the database (no remote fetch).
Import server transfer bundle POST
Import a server transfer bundle into this Coolify instance (adopt mode by default).
